Skip to main content
Infrastructure/Federation & SSO

TestSSOPlatformSCIM

Test one downstream platform SCIM endpoint before or after federation.

POST/api/v1/sso/configurations/{id}/platforms/{platformUuid}/test-scim

Operation ID

TestSSOPlatformSCIM

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • id
    StringRequired

    SSO configuration UUID.

  • platformUuid
    StringRequired

    Target platform UUID.

Body Fields

  • scimBaseUrl
    StringRequired

    Optional downstream SCIM base URL. Empty means use product default.

    Example: https://cloud.example.com/zstack/scim/v2

  • scimToken
    StringRequired

    Optional SCIM bearer token. Empty means use the saved federation token, or generate one if none exists.

    Example: scim-token-plain-value

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    Boolean

    Whether the downstream SCIM endpoint is reachable and accepted the token.

    Example: true

  • scimBaseUrl
    String

    SCIM base URL tested.

    Example: https://cloud.example.com/zstack/scim/v2

  • errorMessage
    String

    Error message when the SCIM test failed.

    Example: http 401 unauthorized

  • testedAt
    String

    Time when the SCIM endpoint was tested.

    Example: 2026-01-15T08:00:00Z